Get By Name
curl --request GET \
--url https://api.nebius.cloud/vpc/v1/allocations/get-by-name \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nebius.cloud/vpc/v1/allocations/get-by-name"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebius.cloud/vpc/v1/allocations/get-by-name', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"parentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"labels": {},
"name": "<string>",
"resourceVersion": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"ipv4Private": {
"cidr": "<string>",
"poolId": "<string>",
"subnetId": "<string>"
},
"ipv4Public": {
"cidr": "<string>",
"poolId": "<string>",
"subnetId": "<string>"
}
},
"status": {
"assignment": {
"loadBalancer": {
"id": "<string>"
},
"networkInterface": {
"instanceId": "<string>",
"name": "<string>",
"type": "TYPE_UNSPECIFIED"
}
},
"details": {
"allocatedCidr": "<string>",
"poolId": "<string>",
"subnetId": "<string>",
"version": "IP_VERSION_UNSPECIFIED"
},
"state": "STATE_UNSPECIFIED",
"static": true
}
}allocations
Get By Name
Retrieves an allocation by its name within a specified parent.
GET
/
vpc
/
v1
/
allocations
/
get-by-name
Get By Name
Authorizations
The Authorization header expects a Bearer token.
Query Parameters
ID of the parent project.
Name of the allocation.
Response
200 - application/json
A successful response.
Metadata for the Allocation.
metadata.parent_id represents IAM Container.
Show child attributes
Show child attributes
Specifications for the allocation, detailing its name and IP configuration.
Show child attributes
Show child attributes
Contains the current status of the allocation, indicating its state and any additional details.
Show child attributes
Show child attributes
Was this page helpful?